Bug 89126 - mount fails to recognize a fat32 partition of size 37.2Gb
mount fails to recognize a fat32 partition of size 37.2Gb
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: mount (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-17 17:32 EDT by Need Real Name
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 13:41:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-04-17 17:32:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux)

Description of problem:
My hard drive is split as follows: -
 
 hda1 - Windows
 hda2 - Marks start of extended partition
 hda5 - Another partiton that I use inside windows
 hda6 - Another partition that I use inside windows
 hda7 - /boot
 hda8 - swap
 hda9 - /
 
 I can get windows mounted without any trouble with the command :-
 
 mount -t vfat /dev/hda1 /mnt/windows
 
 However, when I try it for hda5 it won't work. It just gives me the error message: -
 
 [root@public2-bror1-3-cust153 root]# mount -t vfat /dev/hda5 /mnt/new
 mount: wrong fs type, bad option, bad superblock on /dev/hda5,
 or too many mounted file systems
 
I thought right, maybe too many things are mounted, so I unmounted windows and tried it again, but it still did not work. hda6 also mounts without a problem.

The only thing that I can think of is maybe that the partition is too big?
 hda1 19Gig
 hda5 37.2Gig
 hda6 27.9Gig
 
sfdisk gives the following:
 Disk /dev/hda: 14593 cylinders, 255 heads, 63 sectors/track
 Units = cylinders of 8225280 bytes, blocks of 1024 bytes, counting from 0
 
 Device Boot Start End #cyls #blocks Id System
 /dev/hda1 * 0+ 2432 2433- 19543041 c Win95 FAT32 (LBA)
 /dev/hda2 2433 14592 12160 97675200 f Win95 Ext'd (LBA)
 /dev/hda3 0 - 0 0 0 Empty
 /dev/hda4 0 - 0 0 0 Empty
 /dev/hda5 2433+ 7300 4868- 39102178+ b Win95 FAT32
 /dev/hda6 7301+ 10946 3646- 29286463+ b Win95 FAT32
 /dev/hda7 10947+ 10959 13- 104391 83 Linux
 /dev/hda8 10960+ 11090 131- 1052226 82 Linux swap
 /dev/hda9 11091+ 14592 3502- 28129783+ 83 Linux
 /dev/hda: OK
 

 

Version-Release number of selected component (if applicable):
mount-2.11y

How reproducible:
Always

Steps to Reproduce:
1.Run the mount command for /dev/hda5
2.
3.
    

Actual Results:  An error was returned even though all given parameters were correct

Expected Results:  The drive should have been mounted

Additional info:
Comment 1 Elliot Lee 2003-08-01 10:41:43 EDT
What info is in the system logfile?

Note You need to log in before you can comment on or make changes to this bug.